--- /dev/null
+#!/bin/sh
+
+uci batch <<__EOF__
+
+delete network.lan
+
+set network.lan=interface
+set network.lan.type=bridge
+set network.lan.ifname="eth0 eth1"
+set network.lan.proto=static
+set network.lan.ipaddr="192.168.1.1"
+set network.lan.netmask="255.255.255.0"
+set network.lan.nat=1
+
+commit network
+__EOF__
--- /dev/null
+#!/bin/sh
+
+uci batch <<__EOF__
+
+set network.wan=interface
+set network.wan.proto='pppoa'
+set network.wan.atmdev=0
+set network.wan.card=0
+set network.wan.vpi=0
+set network.wan.vci=32
+set network.wan.encaps='vc'
+set network.wan.username='username@myisp.net'
+set network.wan.password='password'
+set network.wan.keepalive=3
+set network.wan.defaultroute=1
+set network.wan.peerdns=1
+set network.wan.pppd_options='kdebug 1 debug noccp'
+set network.wan.auto=1
+
+commit network
+__EOF__
--- /dev/null
+#!/bin/sh
+
+[ -f /etc/config/wireless ] || echo "package wireless" > /etc/config/wireless
+
+uci batch <<__EOF__
+
+delete wireless.radio0
+delete wireless.@wifi-iface[0]
+
+set wireless.wlan0=wifi-device
+set wireless.wlan0.type=mac80211
+set wireless.wlan0.phy=phy0
+set wireless.wlan0.channel=11
+set wireless.wlan0.hwmode=11g
+set wireless.wlan0.country=US
+
+add wireless wifi-iface
+set wireless.@wifi-iface[-1].device=wlan0
+set wireless.@wifi-iface[-1].network=lan
+set wireless.@wifi-iface[-1].mode=ap
+set wireless.@wifi-iface[-1].ssid=typhoon
+set wireless.@wifi-iface[-1].encryption=psk2+aes
+set wireless.@wifi-iface[-1].key="passphrase"
+set wireless.@wifi-iface[-1].hidden=0
+
+commit wireless
+__EOF__
BOARDNAME:=Traverse Geos
-FEATURES:=squashfs pci usb gpio
-DEFAULT_PACKAGES += kmod-ata-via-sata kmod-crypto-hw-geode \
+FEATURES:=squashfs jffs2 ext4 pci usb gpio
+DEFAULT_PACKAGES += kmod-ata-via-sata \
+ kmod-crypto-hw-geode kmod-crypto-ocf \
kmod-gpio-cs5535 kmod-gpio-nsc \
kmod-wdt-geode kmod-hwmon-core kmod-hwmon-lm90 \
kmod-8139cp kmod-solos-pci \
kmod-usb-core kmod-usb2 kmod-usb-uhci \
kmod-cfg80211 kmod-mac80211 \
kmod-mppe kmod-pppoe kmod-pppoa kmod-pppol2tp \
- kmod-ath kmod-ath5k kmod-ath9k
+ kmod-ath kmod-ath5k kmod-ath9k \
+ soloscli linux-atm br2684ctl bridge ppp ppp-mod-pppoa \
+ libopenssl ocf-crypto-headers zlib hwclock hostapd
CS5535_MASK:=0x0E000048